﻿@page
@model Orgatron.Pages.Parties.CreateModel

@{
	ViewData["Title"] = "Details";
}

    <div>
        <h4>Détails de la partie</h4>
        <hr />
        <form method="post" asp-page-handler="addPartie">
            <input type="hidden" asp-for="InputPartie.EvenementId" value="@(Request.Query["id"])" />
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label>Jeu</label>
                @Html.DropDownListFor(s => s.InputPartie.JeuId, new SelectList(Model.ListeJeux, "Value", "Text", @Model.ListeJeux.FirstOrDefault().Value), "Choisir")
            </div>
            <div class="form-group">
                <label>Etat</label>
                @Html.DropDownListFor(s => s.InputPartie.EtatPartie, new SelectList(new List<SelectListItem>
    {
                new SelectListItem { Text = Models.EtatPartie.Created.GetDescription(), Value = ((int)Models.EtatPartie.Created).ToString() },
                new SelectListItem { Text = Models.EtatPartie.Started.GetDescription(), Value = ((int)Models.EtatPartie.Started).ToString() },
                new SelectListItem { Text = Models.EtatPartie.Ended.GetDescription(), Value = ((int)Models.EtatPartie.Ended).ToString() },
                new SelectListItem { Text = Models.EtatPartie.Cancelled.GetDescription(), Value = ((int)Models.EtatPartie.Cancelled).ToString() },
                }, "Value", "Text", ((int)Models.EtatPartie.Ended).ToString()), "Choisir")
            </div>
            <div class="form-group">
                <label asp-for="InputPartie.DateDebut"></label>
                <input asp-for="InputPartie.DateDebut" class="form-control" value="@DateTime.MinValue" />
                <span asp-validation-for="InputPartie.DateDebut" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="InputPartie.DateFin"></label>
                <input asp-for="InputPartie.DateFin" class="form-control" value="@DateTime.MinValue" />
                <span asp-validation-for="InputPartie.DateFin" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label>Arbitre</label>
                @Html.DropDownListFor(s => s.InputPartie.UserId, new SelectList(Model.ListeJoueurs, "Value", "Text", @Model.ListeJoueurs.FirstOrDefault().Value), "Choisir")
            </div>
            <div class="form-group">
                <button type="submit" class="btn btn-primary">Creer</button>
            </div>
        </form>
    </div>

	<a asp-page="/Evenements/Historique">Retour</a>
